All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface ArchiveEntry

All Superinterfaces:
  CMetadata, ContentLocation, DeployedDataPackage, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root, Text

    public interface ArchiveEntry

extends Text

One of several metadata types used to describe the physical location of some form of content. ArchiveEntry describes a unit of content in an archive file.

Attributes of ArchiveEntry are:

- `EntryName`
- `Path`

Associations of ArchiveEntry are:

- `OwningArchive`

## Usage

To create an instance of this ArchiveEntry, use the `factory` create methods.
Example: create a ArchiveEntry with name "ArchiveEntry_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     ArchiveEntry myObject = (ArchiveEntry) factory.createComplexMetadataObject(objectStore, "ArchiveEntry_Object", MetadataObjects.ARCHIVEENTRY, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_OWNINGARCHIVE_NAME` Constant used for the name of the OwningArchive association.
`static java.lang.String` | `ATTRIBUTE_ENTRYNAME_NAME` Constant used for the name of the EntryName attribute.
`static java.lang.String` | `ATTRIBUTE_PATH_NAME` Constant used for the name of the Path attribute.

Fields inherited from interface com.sas.metadata.remote.Text
`ASSOCIATION_ASSOCIATEDPROPERTY_NAME, ASSOCIATION_ASSOCIATEDQUERYCLAUSE_NAME, ASSOCIATION_ASSOCIATEDTRAINEDRESULT_NAME, ASSOCIATION_ASSOCIATEDTRANSFORMATION_NAME, ASSOCIATION_ASSOCIATEDTYPE_NAME, ASSOCIATION_TARGETS_NAME, ATTRIBUTE_TEXTROLE_NAME, ATTRIBUTE_TEXTTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.ContentLocation
`ASSOCIATION_ASSOCIATEDCONTENTTYPE_NAME, ASSOCIATION_FILEREFS_NAME, ASSOCIATION_REPORTS_NAME, ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME, ASSOCIATION_UNITOFTIMES_NAME`

Fields inherited from interface com.sas.metadata.remote.DeployedDataPackage
`ASSOCIATION_ALIASES_NAME, ASSOCIATION_ALIASFOR_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_USEDBYPACKAGES_NAME, ASSOCIATION_USINGPACKAGES_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`java.lang.String` | `getEntryName()` Gets the `String` value of `EntryName`
`int` | `getEntryNameMaxLength()` Gets the maximum length of `EntryName`
`int` | `getEntryNameState()` Gets the Metadata State of `EntryName`
`ArchiveFile` | `getOwningArchive()` Gets the `ArchiveFile` for `OwningArchive`
`AssociationList` | `getOwningArchives()` Gets the AssociationList of `OwningArchives`
`AssociationList` | `getOwningArchives(boolean fGoToServer)` Gets the Associationlist of `OwningArchives`
`java.lang.String` | `getPath()` Gets the `String` value of `Path`
`int` | `getPathMaxLength()` Gets the maximum length of `Path`
`int` | `getPathState()` Gets the Metadata State of `Path`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `OwningArchive`
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are: `OwningArchive`
`void` | `setEntryName(java.lang.String inEntryName)` Sets the `EntryName` value and sets the state to MetadataState.LOCAL.
`void` | `setEntryName(java.lang.String inEntryName, int state)` Sets the `EntryName` Metadata State.
`void` | `setEntryNameState(int state)` Sets the Metadata State of `EntryName`.
`void` | `setOwningArchive(ArchiveFile inObject)` Sets the `OwningArchives` list 0th element to be `inObject`.
`void` | `setOwningArchives(AssociationList list)` Sets the `OwningArchives` list to be `list`.
`void` | `setOwningArchives(AssociationList list, int state)` Sets the `OwningArchives` list to be `list`.
`void` | `setPath(java.lang.String inPath)` Sets the `Path` value and sets the state to MetadataState.LOCAL.
`void` | `setPath(java.lang.String inPath, int state)` Sets the `Path` Metadata State.
`void` | `setPathState(int state)` Sets the Metadata State of `Path`.

Methods inherited from interface com.sas.metadata.remote.Text
`getAssociatedProperty, getAssociatedPropertys, getAssociatedPropertys, getAssociatedQueryClause, getAssociatedQueryClauses, getAssociatedQueryClauses, getAssociatedTrainedResult, getAssociatedTrainedResults, getAssociatedTrainedResults, getAssociatedTransformation, getAssociatedTransformations, getAssociatedTransformations, getAssociatedType, getAssociatedTypes, getAssociatedTypes, getTargets, getTargets, getTextRole, getTextRoleMaxLength, getTextRoleState, getTextType, getTextTypeMaxLength, getTextTypeState, setAssociatedProperty, setAssociatedPropertys, setAssociatedPropertys, setAssociatedQueryClause, setAssociatedQueryClauses, setAssociatedQueryClauses, setAssociatedTrainedResult, setAssociatedTrainedResults, setAssociatedTrainedResults, setAssociatedTransformation, setAssociatedTransformations, setAssociatedTransformations, setAssociatedType, setAssociatedTypes, setAssociatedTypes, setTargets, setTargets, setTextRole, setTextRole, setTextRoleState, setTextType, setTextType, setTextTypeState`

Methods inherited from interface com.sas.metadata.remote.ContentLocation
`getAssociatedContentType, getAssociatedContentTypes, getAssociatedContentTypes, getFileRefs, getFileRefs, getReports, getReports, getTSAssociatedNamespace, getTSAssociatedNamespaces, getTSAssociatedNamespaces, getUnitofTimes, getUnitofTimes, setAssociatedContentType, setAssociatedContentTypes, setAssociatedContentTypes, setFileRefs, setFileRefs, setReports, setReports, setTSAssociatedNamespace, setTSAssociatedNamespaces, setTSAssociatedNamespaces, setUnitofTimes, setUnitofTimes`

Methods inherited from interface com.sas.metadata.remote.DeployedDataPackage
`getAliases, getAliases, getAliasFor, getAliasFors, getAliasFors, getDeployedComponents, getDeployedComponents, getTableCollections, getTableCollections, getUsedByPackages, getUsedByPackages, getUsingPackages, getUsingPackages, setAliases, setAliases, setAliasFor, setAliasFors, setAliasFors, setDeployedComponents, setDeployedComponents, setTableCollections, setTableCollections, setUsedByPackages, setUsedByPackages, setUsingPackages, setUsingPackages`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_ENTRYNAME_NAME

    static final java.lang.String ATTRIBUTE_ENTRYNAME_NAME

  Constant used for the name of the EntryName attribute.

  EntryName: The name of the entry in the archive file.

  See Also:
    Constant Field Values

### ATTRIBUTE_PATH_NAME

    static final java.lang.String ATTRIBUTE_PATH_NAME

  Constant used for the name of the Path attribute.

  Path: This is the path name stored in the archive file for this entry.

  See Also:
    Constant Field Values

### ASSOCIATION_OWNINGARCHIVE_NAME

    static final java.lang.String ASSOCIATION_OWNINGARCHIVE_NAME

  Constant used for the name of the OwningArchive association.

  OwningArchive: The archive file that contains this entry

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:
  `OwningArchive`

  Specified by:
    `initializeRequiredObjects` in interface `ContentLocation`
  Specified by:
    `initializeRequiredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Specified by:
    `initializeRequiredObjects` in interface `Text`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `OwningArchive`

  Specified by:
    `initializePredObjects` in interface `ContentLocation`
  Specified by:
    `initializePredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Specified by:
    `initializePredObjects` in interface `Text`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEntryName

    java.lang.String getEntryName()
                                  throws java.rmi.RemoteException

  Gets the `String` value of `EntryName`

  Returns:
    The `EntryName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEntryNameState

    int getEntryNameState()
                          throws java.rmi.RemoteException

  Gets the Metadata State of `EntryName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEntryNameMaxLength

    int getEntryNameMaxLength()
                              throws java.rmi.RemoteException

  Gets the maximum length of `EntryName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPath

    java.lang.String getPath()
                             throws java.rmi.RemoteException

  Gets the `String` value of `Path`

  Returns:
    The `Path`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPathState

    int getPathState()
                     throws java.rmi.RemoteException

  Gets the Metadata State of `Path`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPathMaxLength

    int getPathMaxLength()
                         throws java.rmi.RemoteException

  Gets the maximum length of `Path`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getOwningArchives

    AssociationList getOwningArchives()
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the AssociationList of `OwningArchives`

  Returns:
    Returns the AssociationList of `OwningArchives` which can be of type:
    ArchiveFile
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getOwningArchive

    ArchiveFile getOwningArchive()
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the `ArchiveFile` for `OwningArchive`

  Returns:
    The `ArchiveFile` ( `null` if not set) of `OwningArchive`which can be of type:
    ArchiveFile
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOwningArchives

    AssociationList getOwningArchives(boolean fGoToServer)
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the Associationlist of `OwningArchives`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `OwningArchives` which can be of type:
    ArchiveFile
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setEntryName

    void setEntryName(java.lang.String inEntryName)
                      throws java.rmi.RemoteException

  Sets the `EntryName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inEntryName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEntryName

    void setEntryName(java.lang.String inEntryName,
                      int state)
                      throws java.rmi.RemoteException

  Sets the `EntryName` Metadata State.

  Parameters:
    `inEntryName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEntryNameState

    void setEntryNameState(int state)
                           throws java.rmi.RemoteException

  Sets the Metadata State of `EntryName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPath

    void setPath(java.lang.String inPath)
                 throws java.rmi.RemoteException

  Sets the `Path` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inPath` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPath

    void setPath(java.lang.String inPath,
                 int state)
                 throws java.rmi.RemoteException

  Sets the `Path` Metadata State.

  Parameters:
    `inPath` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPathState

    void setPathState(int state)
                      throws java.rmi.RemoteException

  Sets the Metadata State of `Path`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningArchives

    void setOwningArchives(AssociationList list)
                           throws java.rmi.RemoteException

  Sets the `OwningArchives` list to be `list`. Object of which can be of type:
  ArchiveFile

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningArchives

    void setOwningArchives(AssociationList list,
                           int state)
                           throws java.rmi.RemoteException

  Sets the `OwningArchives` list to be `list`. Object of which can be of type:
  ArchiveFile

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningArchive

    void setOwningArchive(ArchiveFile inObject)
                          throws java.rmi.RemoteException

  Sets the `OwningArchives` list 0th element to be `inObject`.

  Parameters:
    `inObject` - ArchiveFile
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.